import { Component, OnInit } from '@angular/core';
import { category } from '../../category';
import { EditService } from '../service/edit.service';
import { ActivatedRoute } from '@angular/router';
import { Router } from '@angular/router';
@Component({
  selector: 'app-edit',
  templateUrl: './edit.component.html',
  styleUrls: ['./edit.component.css']
})
export class EditComponent implements OnInit {
  categorys = category;
  dataId: any;
  data: any;
  constructor(private route: ActivatedRoute, private editService: EditService,private router: Router) { }

  ngOnInit(): void {
    this.route.paramMap.subscribe(params => {
      this.dataId = params.get('dataId');
    });
    this.editService.getPostsById(this.dataId).subscribe(response => {
      this.data = response[0];
      console.log(this.data);
    });
  }

  submitUpdate() {
    this.editService.putUpdate(this.data).subscribe(response => {
      alert('แก้ไขเรียบร้อย'),
      this.router.navigateByUrl('/');
    });
  }
}
